com.aliyun.svideosdk.common.struct.effect

## Class EffectPaster

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.effect.EffectBase
  - - com.aliyun.svideosdk.common.struct.effect.EffectPaster

- Direct Known Subclasses:
    EffectText

      public class EffectPaster
      extends EffectBase

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `ActionBase` | `action` 动效
    `int` | `displayHeight` 当前数据对应的显示高度
    `int` | `displayWidth` 当前数据对应的显示宽度
    `long` | `duration` 动图一个循环时长
    `long` | `end` 指定的需播放的动图的结束时间
    `java.util.List<Frame>` | `frameArry` 帧列表
    `int` | `height` 动图的高
    `boolean` | `isTrack` 是否追踪人脸，普通动图需要把这个值置成false
    `int` | `kernelFrame` Deprecated.
    `boolean` | `mirror` 是否镜像
    `java.lang.String` | `name` 资源名称
    `static int` | `PASTER_TYPE_CAPTION` 字幕
    `static int` | `PASTER_TYPE_GIF` 普通动图
    `static int` | `PASTER_TYPE_IMAGE` 图片
    `static int` | `PASTER_TYPE_TEXT` Deprecated.
    `float` | `rotation` 动图的角度值，默认为0 取-PI 到 PI，左旋转 0 ~ -3.14 右旋转 0 ~ 3.14
    `long` | `start` 指定的需播放的动图的开始时间
    `java.util.List<FrameTime>` | `timeArry` 时间戳
    `int` | `width` 动图的宽
    `float` | `x` 动图的x坐标，以中心为原点
    `float` | `y` 动图的y坐标，以中心为原点

    - ### Fields inherited from class com.aliyun.svideosdk.common.struct.effect.EffectBase

      `mSource, resId, viewId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EffectPaster(Source source)`
    `EffectPaster(java.lang.String path)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `copy(EffectBase base)`
    `boolean` | `equals(java.lang.Object obj)`
    `float` | `getHeightRatio()` 获取高的比例值
    `int` | `getPasterType()`
    `float` | `getWidthRatio()` 获取宽的比例值
    `float` | `getXRatio()` 获取x坐标的比例值
    `float` | `getYRatio()` 获取y坐标的比例值
    `void` | `setHeightRatio(float heightRatio)` 设置高的比例值
    `void` | `setWidthRatio(float widthRatio)` 设置宽的比例值
    `void` | `setXRatio(float xRatio)` 设置x坐标的比例值
    `void` | `setYRatio(float yRatio)` 设置y坐标的比例值
    `EffectSticker` | `toEffectSticker()` 转换成`EffectSticker` 实体类
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.aliyun.svideosdk.common.struct.effect.EffectBase

      `checkIsInvalid, getPath, getResId, getSource, getViewId, readString, setPath, setResId, setSource, setViewId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### PASTER_TYPE_GIF

          public static final int PASTER_TYPE_GIF

      普通动图
      See Also:
        Constant Field Values

    - #### PASTER_TYPE_TEXT

          @Deprecated
          public static final int PASTER_TYPE_TEXT

      Deprecated.
      文字, @Deprecated 请使用`PASTER_TYPE_CAPTION`代替
      See Also:
        Constant Field Values

    - #### PASTER_TYPE_CAPTION

          public static final int PASTER_TYPE_CAPTION

      字幕
      See Also:
        Constant Field Values

    - #### PASTER_TYPE_IMAGE

          public static final int PASTER_TYPE_IMAGE

      图片
      See Also:
        Constant Field Values

    - #### name

          public java.lang.String name

      资源名称

    - #### width

          public int width

      动图的宽

    - #### height

          public int height

      动图的高

    - #### start

          public long start

      指定的需播放的动图的开始时间

    - #### end

          public long end

      指定的需播放的动图的结束时间

    - #### y

          public float y

      动图的y坐标，以中心为原点

    - #### x

          public float x

      动图的x坐标，以中心为原点

    - #### displayWidth

          public int displayWidth

      当前数据对应的显示宽度

    - #### displayHeight

          public int displayHeight

      当前数据对应的显示高度

    - #### rotation

          public float rotation

      动图的角度值，默认为0 取-PI 到 PI，左旋转 0 ~ -3.14 右旋转 0 ~ 3.14

    - #### duration

          public long duration

      动图一个循环时长

    - #### kernelFrame

          @Deprecated
          public int kernelFrame

      Deprecated.

    - #### frameArry

          public java.util.List<Frame> frameArry

      帧列表

    - #### timeArry

          public java.util.List<FrameTime> timeArry

      时间戳

    - #### mirror

          public boolean mirror

      是否镜像

    - #### isTrack

          public boolean isTrack

      是否追踪人脸，普通动图需要把这个值置成false

    - #### action

          public ActionBase action

      动效

  - ### Constructor Detail

    - #### EffectPaster

          @Deprecated
          public EffectPaster(java.lang.String path)

      Deprecated.

    - #### EffectPaster

          public EffectPaster(Source source)

  - ### Method Detail

    - #### getPasterType

          public int getPasterType()

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### getXRatio

          public float getXRatio()

      获取x坐标的比例值
      Returns:
        x坐标比例 范围 [0 - 1]

    - #### setXRatio

          public void setXRatio(float xRatio)

      设置x坐标的比例值
      Parameters:
        `xRatio` - 比例值 [0 - 1]

    - #### getYRatio

          public float getYRatio()

      获取y坐标的比例值
      Returns:
        y坐标比例 范围 [0 - 1]

    - #### setYRatio

          public void setYRatio(float yRatio)

      设置y坐标的比例值
      Parameters:
        `yRatio` - 比例值 [0 - 1]

    - #### getWidthRatio

          public float getWidthRatio()

      获取宽的比例值
      Returns:
        宽的比例 [0 - 1]

    - #### setWidthRatio

          public void setWidthRatio(float widthRatio)

      设置宽的比例值
      Parameters:
        `widthRatio` - 宽比例 [0 - 1]

    - #### getHeightRatio

          public float getHeightRatio()

      获取高的比例值
      Returns:
        高的比例 [0 - 1]

    - #### setHeightRatio

          public void setHeightRatio(float heightRatio)

      设置高的比例值
      Parameters:
        `heightRatio` - 高比例 [0 - 1]

    - #### copy

          public void copy(EffectBase base)

      Overrides:
        `copy` in class `EffectBase`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `EffectBase`

    - #### toEffectSticker

          public EffectSticker toEffectSticker()

      转换成`EffectSticker` 实体类

      v3.27.0 新增

      Returns:
      See Also:
        `EffectSticker`